summaryrefslogtreecommitdiff
path: root/internal
diff options
context:
space:
mode:
Diffstat (limited to 'internal')
-rw-r--r--internal/worker.zsh1
1 files changed, 1 insertions, 0 deletions
diff --git a/internal/worker.zsh b/internal/worker.zsh
index 644d74c6..fb554907 100644
--- a/internal/worker.zsh
+++ b/internal/worker.zsh
@@ -188,6 +188,7 @@ function _p9k_worker_start() {
else
exec 2>/dev/null
fi
+ cd / || return
zmodload zsh/zselect || return
! { zselect -t0 || (( $? != 1 )) } || return
local _p9k_worker_pgid=$sysparams[pid]